This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 769659

Summary: Composition does not work properly in Xfce with two monitors
Product: [Fedora] Fedora Reporter: Raphael Groner <projects.rg>
Component: xorg-x11-drv-intelAssignee: Adam Jackson <ajax>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: ajax, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-01-03 14:06:02 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Raphael Groner 2011-12-21 11:07:52 EST
Description of problem:
Broken composition on output 1, all okay on output 2. It seems to depend on the window ordering.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.17.0-4.fc16.x86_64
xfwm4-4.8.2-1.fc16.x86_64
Thunar-1.3.0-4.fc16.x86_64

How reproducible:
yes

Steps to Reproduce:
1. connect second external monitor and use xrandr --left-of
2. move Thunar window between monitors
3.
  
Actual results:
Thunar is transparent on output 1, output 2 works correctly.

Expected results:
Thunar shows properly on both displays.

Additional info:
00:02.0 VGA compatible controller: Intel Corporation N10 Family Integrated Graphics Controller (rev 02)

$ xrandr --query
Screen 0: minimum 320 x 200, current 3046 x 1050, maximum 4096 x 4096
LVDS1 connected 1366x768+0+0 (normal left inverted right x axis y axis) 270mm x 150mm
   1366x768       60.0*+
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 connected 1680x1050+1366+0 (normal left inverted right x axis y axis) 474mm x 296mm
   1680x1050      59.9*+   60.0  
   1280x1024      75.0     60.0  
   1440x900       75.0     59.9  
   1280x960       60.0  
   1152x864       75.0  
   1024x768       75.1     60.0  
   832x624        74.6  
   800x600        75.0     60.3     56.2  
   640x480        75.0     60.0  
   720x400        70.1
Comment 1 Adam Jackson 2012-01-03 14:06:02 EST

*** This bug has been marked as a duplicate of bug 699705 ***